Opened 3 years ago

Closed 22 months ago

#1634 closed defect (fixed)

PostGIS Quickstart needs updating

Reported by: camerons Owned by: live-demo@…
Priority: major Milestone:
Component: OSGeoLive Keywords: postgis
Cc:

Description

Cameron,

It looks like you guys never had much on the overview page anyway except for the version number.

https://github.com/OSGeo/OSGeoLive-doc/blob/master/en/overview/postgis_overview.rst

So given that I would just update the version to 2.2.1 .

The quick starter guide on the other hand needs some work.

https://github.com/OSGeo/OSGeoLive-doc/blob/master/en/quickstart/postgis_quickstart.rst

1) It is using ST_Distance_Sphere which got deprecated in 2.2.0 and will be removed in the future. That should be changed to ST_DistanceSphere. http://postgis.net/docs/ST_DistanceSphere.html

2) The QGIS images are a bit out of date. For example I think PostGIS Manager got renamed to DB Manager and got more encompassing to satisfy SpatialIte? too.

I'm a bit strapped for time this month, but if you are not in too much of a rush, I could spruce up the quick start next month and send a pull request.

Thanks, Regina


From: Cameron Shorter cameron.shorter@… Sent: Thursday, March 03, 2016 6:12 AM To: Regina Obe Subject: Re: Any features added to postgis between versions 2.1.3 and 2.2.1 worth mentioning in the Project Overview?

Hey guys, Any chance one of you could take a crack at fixing up the Project Overview (or tell me there is nothing to do).

Cheers, Cameron

On 1/03/2016 8:39 am, Cameron Shorter wrote:

Hi Regina, Brian, Barry, Sounds like a doc update is in order? Would one of you mind updating the Project Overview, create a git pull request, and then I'll review.

Are there any updates required for the Quickstart?

Warm regards, Cameron

On 29/02/2016 11:54 pm, Regina Obe wrote:

Key features in PostGIS 2.2 are

1) KNN now supported for geography and 3D geometries. Prior versions only supported for 2D geometry. 2) KNN true-distance functionality for PostgreSQL 9.5. This is for all KNN including the new 3D and geography. Does OSGeo live have 9.5? What this means is the distance returned by the spatial index KNN operators is the actual distance and not the bounding box or bounding box centroid distance Of prior versions.

3) Ability to build raster overviews in the database without having to rely on raster2pgsql. Means you can have overviews without reloading your raster data. 4) Tiger geocoder upgraded to support Tiger 2015 5) New extensions address_standardizer (not sure if you have postgis_sfcgal packaged, but that became an extension in PostGIS 2.2)

6) Lots of other neat functions noted in the release notes

http://postgis.net/2015/10/07/postgis-2.2.0/

Change history (4)

comment:1 Changed 3 years ago by kalxas

Is this ticket addressed with this merge?

https://github.com/OSGeo/OSGeoLive-doc/pull/98

comment:2 Changed 3 years ago by darkblueb

extension standardize_address confirmed -- there may be an Easter Egg

user=# SELECT house_num, name, suftype, city, country, state, unit  FROM standardize_address('us_lex', 
   'us_gaz', 'us_rules', 'One Devonshire Place, PH 301, Boston, MA 02109');
 house_num |    name    | suftype |  city  | country |     state     |      unit       
-----------+------------+---------+--------+---------+---------------+-----------------
 1         | DEVONSHIRE | PLACE   | BOSTON | USA     | MASSACHUSETTS | # PENTHOUSE 301
(1 row)

comment:3 Changed 23 months ago by kalxas

should we close this ticket now?

comment:4 Changed 22 months ago by darkblueb

Resolution: fixed
Status: newclosed

top of postgis_quickstart.rst shows:

:Author: Barry Rowlingson
:Author: Astrid Emde
:Author: Regina Obe
:Reviewer: Argyros Argyridis
:Reviewer: Cameron Shorter, Jirotech
:Reviewer: Nicolas Roelandt
:Reviewer: Angelos Tzotsos, OSGeo
:Version: osgeo-live11.0
:License: Creative Commons Attribution-ShareAlike 3.0 Unported  (CC BY-SA 3.0)

Note: See TracTickets for help on using tickets.